import { EventEmitter, OnInit } from '@angular/core';
import dayjs from 'dayjs';
import * as i0 from "@angular/core";
export declare class MultiDateDatepickerComponent implements OnInit {
    dayjs: typeof dayjs;
    startDate: any;
    endDate: any;
    predefinedDates: any;
    selectedDates: EventEmitter<string[]>;
    currentYear: number;
    currentMonth: number;
    dayNames: string[];
    monthNames: string[];
    ngOnInit(): void;
    getDaysInMonth(): number[];
    getEmptyDays(): number[];
    isPredefined(day: any): boolean;
    previousMonth(): void;
    nextMonth(): void;
    addPredefinedDays(day: any): void;
    validateDates(day: any): boolean;
    showPrev(): boolean;
    showNext(): boolean;
    applyDate(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MultiDateDatepickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MultiDateDatepickerComponent, "lib-multi-date-datepicker", never, { "startDate": { "alias": "startDate"; "required": false; }; "endDate": { "alias": "endDate"; "required": false; }; "predefinedDates": { "alias": "predefinedDates"; "required": false; }; }, { "selectedDates": "selectedDates"; }, never, never, false, never>;
}
